#ifdef _WIN32
	#include <tchar.h>
	#include <conio.h>
#elif (defined __linux__) || (defined _AIX) || (defined __APPLE__)
	typedef char _TCHAR;
	#define _tmain main
#endif

#include <stdio.h>
#include <iostream>
#include <iomanip>
using namespace std;

#include "CisloKomplexne.h"
//---------------------------------------------------------------------------
TCisloKomplexne::TCisloKomplexne()
{
	Re = 0;
	Im = 0;
}

void TCisloKomplexne::setCisloKomplexne(const float& _re, const float& _im) // const
{
	Re = _re;
	Im = _im;
}

TCisloKomplexne TCisloKomplexne::SucetKomplCisel(const TCisloKomplexne right)
{
	TCisloKomplexne z;

	z.Re = (*this).Re + right.Re;
	z.Im = this->Im + right.Im;

	return z;
}
/*
// Pretazenie operatora scitania + ako clenskej funkcie -- NEODPORUCA SA --
const TCisloKomplexne TCisloKomplexne::operator+(const TCisloKomplexne& right) const
{
	TCisloKomplexne z;

	z.Re = Re + right.Re;
	z.Im = Im + right.Im;

	//	z.Re = (*this).Re + right.Re;
	//	z.Im = this->Im + right.Im;

	return z;
} */

// Pretazenie operatora scitania + podla syntaxu v tabulke
const TCisloKomplexne operator+(const TCisloKomplexne& left, 
	const TCisloKomplexne& right)
{
TCisloKomplexne z;

z.Re = left.Re + right.Re;
z.Im = left.Im + right.Im;

return z;
}  

// Pretazenie operatora vystupneho prudu <<
ostream& operator<<(ostream& os, const TCisloKomplexne& com)
{
	os.setf(ios::fixed, ios::floatfield);  // nastavenie formatu
	os.precision(4);                      // nastavenie poctu desatinnych miest
	os << setw(6) << com.Re;              // nastavenie sirky vypisu
	if (com.Im != 0) {
		os.setf(ios::showpos);              // setf, precision, unsetf su operatory
		os << setw(6) << com.Im << 'i';     // setw je manipulator
		os.unsetf(ios::showpos);            // setw potrebuje #include <iomanip.h>
	}
	return os;
}
